Package org.apache.aries.jax.rs.rest.management.schema

## Class BundleHeaderSchema

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<K,​V>
    - - java.util.LinkedHashMap<String,​String>
      - - org.apache.aries.jax.rs.rest.management.schema.BundleHeaderSchema

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,​String>`

    public class BundleHeaderSchema
    extends LinkedHashMap<String,​String>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

### Constructor Summary

Constructors
`BundleHeaderSchema()`
`BundleHeaderSchema​(Map<String,​String> map)`

### Method Summary

### Methods inherited from class java.util.LinkedHashMap

`clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, removeEldestEntry, replaceAll, values`

### Methods inherited from class java.util.HashMap

`clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Constructor Detail

#### BundleHeaderSchema

    public BundleHeaderSchema()

#### BundleHeaderSchema

    public BundleHeaderSchema​(Map<String,​String> map)